#ifndef Q_FADER_WIDGET_H
#define Q_FADER_WIDGET_H

#include <QWidget>
#include <QtCore/QTimer>
#include <QtGui/QColor>

class QFaderWidget : public QWidget
{
    Q_OBJECT

public:
    QFaderWidget(QWidget *parent);
    ~QFaderWidget();

    void Start();

protected:
    virtual void paintEvent(QPaintEvent * ev);

private:
    QColor startColor;
    int currentAlpha;
    int fadeTimes;
    QTimer *timer;
};

#endif // Q_FADER_WIDGET_H
